Subject: bug#18336: 24.4.50; When editing externally changed file, Emacs asks too many questions

From: Noam Postavsky <[email-masked]>
Date: Sun, 01 Mar 2020 11:26:23 -0500

Stefan Kangas <[email-masked]> writes:

> David Kastrup <[email-masked]> writes:

>> It does not make sense at all for Emacs to ask
>>
>> smob-convert.sh changed on disk; really edit the buffer? (y, n, r or C-h) y
>>
>> as a reply to me typing C-x C-s since C-x C-s is _not_ a request to edit
>> the buffer.  It is a request to save the file _after_ editing the
>> buffer, and I already discussed the consequences of editing and saving
>> with Emacs previously.

> Maybe something has changed since you reported this, because I'm
> seeing the following messages:
>
>     (New file)
>     Saving file /tmp/foo.txt...
>     Wrote /tmp/foo.txt
>     foo.txt changed on disk; really edit the buffer? (y, n, r or C-h) y
>     File on disk now will become a backup file if you save these changes.
>     Saving file /tmp/foo.txt...
>     foo.txt has changed since visited or saved.  Save anyway? (y or n) y
>
> This makes a lot of sense to me.  The prompts are really about two
> different things, which seems to now be fully clear.
>
> Given the above, I don't see any need to do any further changes here.
> I'll close this bug in a couple of weeks unless there is more to
> discuss.

I would agree with you that the second question is now more clear, but I
think the first question shouldn't be asked in this case, since there
was no edit attempt (as described in the original report).